### Class

# EvinceDocument TransitionEffect

#### Description

    class EvinceDocument.TransitionEffect : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ev_transition_effect_new

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceDocument.TransitionEffect:alignment

No description available.

###### EvinceDocument.TransitionEffect:angle

No description available.

###### EvinceDocument.TransitionEffect:direction

No description available.

###### EvinceDocument.TransitionEffect:duration

No description available.

###### EvinceDocument.TransitionEffect:duration-real

No description available.

###### EvinceDocument.TransitionEffect:rectangular

No description available.

###### EvinceDocument.TransitionEffect:scale

No description available.

###### EvinceDocument.TransitionEffect:type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceDocumentTransitionEffectClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.